<?xml version="1.0" encoding="UTF-8"?>
<!--
  #%L
  %%
  Copyright (C) 2005 - 2021 Kuali, Inc. - All Rights Reserved
  %%
  You may use and modify this code under the terms of the Kuali, Inc.
  Pre-Release License Agreement. You may not distribute it.
  
  You should have received a copy of the Kuali, Inc. Pre-Release License
  Agreement with this file. If not, please write to license@kuali.co.
  #L%
  -->


<!--Designed and generated by Altova StyleVision Enterprise Edition 2008 rel. 2 - see http://www.altova.com/stylevision for more information.-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output version="1.0" method="xml" encoding="UTF-8" indent="no"/>
	<xsl:param name="SV_OutputFormat" select="'PDF'"/>
	<xsl:variable name="XML" select="/"/>
	<xsl:variable name="fo:layout-master-set">
		<fo:layout-master-set>
			<fo:simple-page-master master-name="default-page" page-height="8.5in" page-width="11in" margin-left="0.05in" margin-right="0.05in">
				<fo:region-body margin-top="1.5in" margin-bottom="0.62in"/>
				<fo:region-before extent="1.5in"/>
				<fo:region-after extent="0.62in"/>
			</fo:simple-page-master>
		</fo:layout-master-set>
	</xsl:variable>
	<xsl:template match="/">
		<fo:root>
			<xsl:copy-of select="$fo:layout-master-set"/>
			<fo:page-sequence master-reference="default-page" initial-page-number="1" format="1">
				<xsl:call-template name="headerall"/>
				<xsl:call-template name="footerall"/>
				<fo:flow flow-name="xsl-region-body">
					<fo:block>
						<xsl:for-each select="$XML">
							<xsl:for-each select="AwardNotice">
								<xsl:for-each select="Award">
									<xsl:for-each select="AwardAmountInfo">
										<fo:block/>
										<fo:block/>
										<fo:block/>
										<fo:inline-container>
											<fo:block>
												<xsl:text>&#x2029;</xsl:text>
											</fo:block>
										</fo:inline-container>
										<xsl:if test="AmountInfo">
											<fo:table font-family="Times New Roman" font-size="8pt" line-height="9pt" table-layout="fixed" width="100%" border-spacing="2pt">
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-body start-indent="0pt">
													<xsl:for-each select="AmountInfo">
														<fo:table-row>
															<fo:table-cell padding-right="0" number-columns-spanned="4" padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<fo:inline font-weight="bold">
																		<xsl:text>Seq. </xsl:text>
																	</fo:inline>
																	<xsl:for-each select="AwardNumber">
																		<xsl:variable name="value-of-template">
																			<xsl:apply-templates/>
																		</xsl:variable>
																		<xsl:choose>
																			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																				<fo:block>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:block>
																			</xsl:when>
																			<xsl:otherwise>
																				<fo:inline>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:inline>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:for-each>
																	<fo:inline>
																		<xsl:text>:</xsl:text>
																	</fo:inline>
																	<xsl:for-each select="AccountNumber">
																		<xsl:variable name="value-of-template">
																			<xsl:apply-templates/>
																		</xsl:variable>
																		<xsl:choose>
																			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																				<fo:block>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:block>
																			</xsl:when>
																			<xsl:otherwise>
																				<fo:inline>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:inline>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:for-each>
																	<xsl:for-each select="SequenceNumber">
																		<xsl:variable name="value-of-template">
																			<xsl:apply-templates/>
																		</xsl:variable>
																		<xsl:choose>
																			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																				<fo:block>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:block>
																			</xsl:when>
																			<xsl:otherwise>
																				<fo:inline>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:inline>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:for-each>
																	<fo:inline>
																		<xsl:text>:</xsl:text>
																	</fo:inline>
																	<xsl:for-each select="AmountSequenceNumber">
																		<xsl:variable name="value-of-template">
																			<xsl:apply-templates/>
																		</xsl:variable>
																		<xsl:choose>
																			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																				<fo:block>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:block>
																			</xsl:when>
																			<xsl:otherwise>
																				<fo:inline>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:inline>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:for-each>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding-left="20pt" padding="2pt" text-align="left" display-align="center">
																<fo:block/>
															</fo:table-cell>
															<fo:table-cell padding-left="22pt" padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block/>
															</fo:table-cell>
															<fo:table-cell padding-left="24pt" padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block/>
															</fo:table-cell>
															<fo:table-cell padding-left="26pt" padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block/>
															</fo:table-cell>
															<fo:table-cell padding-left="29pt" padding="2pt" display-align="center">
																<fo:block/>
															</fo:table-cell>
															<fo:table-cell padding-left="33pt" padding="2pt" display-align="center">
																<fo:block/>
															</fo:table-cell>
															<fo:table-cell padding-left="40pt" padding="2pt" text-align="left" display-align="center">
																<fo:block/>
															</fo:table-cell>
															<fo:table-cell padding-left="40pt" padding="2pt" text-align="left" display-align="center">
																<fo:block/>
															</fo:table-cell>
															<fo:table-cell padding-left="23pt" padding="2pt" text-align="left" display-align="center">
																<fo:block/>
															</fo:table-cell>
														</fo:table-row>
														<fo:table-row>
															<fo:table-cell padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<fo:block/>
																	<xsl:for-each select="ObligatedChangeDirect">
																		<fo:inline>
																			<xsl:text>$</xsl:text>
																		</fo:inline>
																		<xsl:variable name="value-of-template">
																			<xsl:apply-templates/>
																		</xsl:variable>
																		<xsl:choose>
																			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																				<fo:block>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:block>
																			</xsl:when>
																			<xsl:otherwise>
																				<fo:inline>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:inline>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:for-each>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:for-each select="ObligatedChangeIndirect">
																		<fo:inline>
																			<xsl:text>$</xsl:text>
																		</fo:inline>
																		<xsl:variable name="value-of-template">
																			<xsl:apply-templates/>
																		</xsl:variable>
																		<xsl:choose>
																			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																				<fo:block>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:block>
																			</xsl:when>
																			<xsl:otherwise>
																				<fo:inline>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:inline>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:for-each>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:for-each select="ObligatedChange">
																		<fo:inline>
																			<xsl:text>$</xsl:text>
																		</fo:inline>
																		<fo:inline>
																			<xsl:value-of select="format-number(number(string(.)), '#,###,###,##0.00')"/>
																		</fo:inline>
																	</xsl:for-each>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:choose>
																		<xsl:when test="AmtObligatedToDateModified = &quot;1&quot;">
																			<xsl:for-each select="AmtObligatedToDate">
																				<xsl:choose>
																					<xsl:when test="string-length( . ) &lt;7">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="."/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt;6 and  string-length( . ) &lt;10">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -6 )  , &quot;,&quot; ,   substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt;9 and  string-length( . ) &lt;13">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -9 )  , &quot;,&quot; ,  substring( . ,  string-length( . ) -8,3), &quot;,&quot;, substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt; 12">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -12 )  , &quot;,&quot; ,  substring( . , string-length( . ) -11, 3 ) ,&quot;,&quot;, substring( . ,  string-length( . ) -8,3), &quot;,&quot;, substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																				</xsl:choose>
																			</xsl:for-each>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:for-each select="AmtObligatedToDate">
																				<fo:inline>
																					<xsl:text>$</xsl:text>
																				</fo:inline>
																				<fo:inline>
																					<xsl:value-of select="format-number(number(string(.)), '#,###,###,##0.00')"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:choose>
																		<xsl:when test="ObligatedDistributableAmtModified = &quot;1&quot;">
																			<xsl:for-each select="ObligatedDistributableAmt">
																				<xsl:choose>
																					<xsl:when test="string-length( . ) &lt;7">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="."/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt;6 and  string-length( . ) &lt;10">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -6 )  , &quot;,&quot; ,   substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt;9 and  string-length( . ) &lt;13">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -9 )  , &quot;,&quot; ,  substring( . ,  string-length( . ) -8,3), &quot;,&quot;, substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt; 12">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -12 )  , &quot;,&quot; ,  substring( . , string-length( . ) -11, 3 ) ,&quot;,&quot;, substring( . ,  string-length( . ) -8,3), &quot;,&quot;, substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																				</xsl:choose>
																			</xsl:for-each>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:for-each select="ObligatedDistributableAmt">
																				<fo:inline>
																					<xsl:text>$</xsl:text>
																				</fo:inline>
																				<fo:inline>
																					<xsl:value-of select="format-number(number(string(.)), '#,###,###,##0.00')"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:for-each select="AnticipatedChangeDirect">
																		<fo:inline>
																			<xsl:text>$</xsl:text>
																		</fo:inline>
																		<xsl:variable name="value-of-template">
																			<xsl:apply-templates/>
																		</xsl:variable>
																		<xsl:choose>
																			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																				<fo:block>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:block>
																			</xsl:when>
																			<xsl:otherwise>
																				<fo:inline>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:inline>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:for-each>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:for-each select="AnticipatedChangeIndirect">
																		<fo:inline>
																			<xsl:text>$</xsl:text>
																		</fo:inline>
																		<xsl:variable name="value-of-template">
																			<xsl:apply-templates/>
																		</xsl:variable>
																		<xsl:choose>
																			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																				<fo:block>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:block>
																			</xsl:when>
																			<xsl:otherwise>
																				<fo:inline>
																					<xsl:copy-of select="$value-of-template"/>
																				</fo:inline>
																			</xsl:otherwise>
																		</xsl:choose>
																	</xsl:for-each>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding-right="0" padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:for-each select="AnticipatedChange">
																		<fo:inline>
																			<xsl:text>$</xsl:text>
																		</fo:inline>
																		<fo:inline>
																			<xsl:value-of select="format-number(number(string(.)), '#,###,###,##0.00')"/>
																		</fo:inline>
																	</xsl:for-each>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding="2pt" display-align="center">
																<fo:block>
																	<xsl:for-each select="AnticipatedTotalAmt">
																		<xsl:choose>
																			<xsl:when test="string-length( . ) &lt;7">
																				<fo:inline text-decoration="underline">
																					<xsl:text>$</xsl:text>
																				</fo:inline>
																				<fo:inline text-decoration="underline">
																					<xsl:value-of select="."/>
																				</fo:inline>
																			</xsl:when>
																			<xsl:when test="string-length( . ) &gt;6 and  string-length( . ) &lt;10">
																				<fo:inline text-decoration="underline">
																					<xsl:text>$</xsl:text>
																				</fo:inline>
																				<fo:inline text-decoration="underline">
																					<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -6 )  , &quot;,&quot; ,   substring( . ,  string-length( . ) -5 )  )"/>
																				</fo:inline>
																			</xsl:when>
																			<xsl:when test="string-length( . ) &gt;9 and  string-length( . ) &lt;13">
																				<fo:inline text-decoration="underline">
																					<xsl:text>$</xsl:text>
																				</fo:inline>
																				<fo:inline text-decoration="underline">
																					<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -9 )  , &quot;,&quot; ,  substring( . ,  string-length( . ) -8,3), &quot;,&quot;, substring( . ,  string-length( . ) -5 )  )"/>
																				</fo:inline>
																			</xsl:when>
																			<xsl:when test="string-length( . ) &gt; 12">
																				<fo:inline text-decoration="underline">
																					<xsl:text>$</xsl:text>
																				</fo:inline>
																				<fo:inline text-decoration="underline">
																					<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -12 )  , &quot;,&quot; ,  substring( . , string-length( . ) -11, 3 ) ,&quot;,&quot;, substring( . ,  string-length( . ) -8,3), &quot;,&quot;, substring( . ,  string-length( . ) -5 )  )"/>
																				</fo:inline>
																			</xsl:when>
																		</xsl:choose>
																	</xsl:for-each>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding="2pt" display-align="center">
																<fo:block>
																	<xsl:choose>
																		<xsl:when test="AnticipatedDistributableAmtModified  = &quot;1&quot;">
																			<xsl:for-each select="AnticipatedDistributableAmt">
																				<xsl:choose>
																					<xsl:when test="string-length( . ) &lt;7">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="."/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt;6 and  string-length( . ) &lt;10">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -6 )  , &quot;,&quot; ,   substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt;9 and  string-length( . ) &lt;13">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -9 )  , &quot;,&quot; ,  substring( . ,  string-length( . ) -8,3), &quot;,&quot;, substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																					<xsl:when test="string-length( . ) &gt; 12">
																						<fo:inline text-decoration="underline">
																							<xsl:text>$</xsl:text>
																						</fo:inline>
																						<fo:inline text-decoration="underline">
																							<xsl:value-of select="concat(  substring( . , 1 ,  string-length( . ) -12 )  , &quot;,&quot; ,  substring( . , string-length( . ) -11, 3 ) ,&quot;,&quot;, substring( . ,  string-length( . ) -8,3), &quot;,&quot;, substring( . ,  string-length( . ) -5 )  )"/>
																						</fo:inline>
																					</xsl:when>
																				</xsl:choose>
																			</xsl:for-each>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:for-each select="AnticipatedDistributableAmt">
																				<fo:inline>
																					<xsl:text>$</xsl:text>
																				</fo:inline>
																				<fo:inline>
																					<xsl:value-of select="format-number(number(string(.)), '#,###,###,##0.00')"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:choose>
																		<xsl:when test="CurrentFundEffectiveDateModified  = &quot;1&quot;">
																			<xsl:for-each select="CurrentFundEffectiveDate">
																				<fo:inline text-decoration="underline">
																					<xsl:value-of select="concat( substring( . , 6 ,2 ) ,&quot;/&quot;, substring( . , 9 , 2 ),&quot;/&quot;,substring( . , 1 , 4 ))"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:for-each select="CurrentFundEffectiveDate">
																				<fo:inline>
																					<xsl:value-of select="format-number(number(substring(string(string(.)), 6, 2)), '00')"/>
																					<xsl:text>/</xsl:text>
																					<xsl:value-of select="format-number(number(substring(string(string(.)), 9, 2)), '00')"/>
																					<xsl:text>/</xsl:text>
																					<xsl:value-of select="format-number(number(substring(string(string(string(.))), 1, 4)), '0000')"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:choose>
																		<xsl:when test="ObligationExpDateModified =&quot;1&quot;">
																			<xsl:for-each select="ObligationExpirationDate">
																				<fo:inline text-decoration="underline">
																					<xsl:value-of select="concat( substring( . , 6 ,2 ) ,&quot;/&quot;, substring( . , 9 , 2 ),&quot;/&quot;,substring( . , 1 , 4 ))"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:for-each select="ObligationExpirationDate">
																				<fo:inline>
																					<xsl:value-of select="format-number(number(substring(string(string(.)), 6, 2)), '00')"/>
																					<xsl:text>/</xsl:text>
																					<xsl:value-of select="format-number(number(substring(string(string(.)), 9, 2)), '00')"/>
																					<xsl:text>/</xsl:text>
																					<xsl:value-of select="format-number(number(substring(string(string(string(.))), 1, 4)), '0000')"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:block>
															</fo:table-cell>
															<fo:table-cell padding="2pt" text-align="left" display-align="center">
																<fo:block>
																	<xsl:choose>
																		<xsl:when test="FinalExpDateModified = &quot;1&quot;">
																			<xsl:for-each select="FinalExpirationDate">
																				<fo:inline text-decoration="underline">
																					<xsl:value-of select="concat( substring( . , 6 ,2 ) ,&quot;/&quot;, substring( . , 9 , 2 ),&quot;/&quot;,substring( . , 1 , 4 ))"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:when>
																		<xsl:otherwise>
																			<xsl:for-each select="FinalExpirationDate">
																				<fo:inline>
																					<xsl:value-of select="format-number(number(substring(string(string(.)), 6, 2)), '00')"/>
																					<xsl:text>/</xsl:text>
																					<xsl:value-of select="format-number(number(substring(string(string(.)), 9, 2)), '00')"/>
																					<xsl:text>/</xsl:text>
																					<xsl:value-of select="format-number(number(substring(string(string(string(.))), 1, 4)), '0000')"/>
																				</fo:inline>
																			</xsl:for-each>
																		</xsl:otherwise>
																	</xsl:choose>
																</fo:block>
															</fo:table-cell>
														</fo:table-row>
													</xsl:for-each>
												</fo:table-body>
											</fo:table>
										</xsl:if>
									</xsl:for-each>
									<fo:block/>
									<xsl:for-each select="AwardTransactionInfo">
										<fo:inline-container>
											<fo:block>
												<xsl:text>&#x2029;</xsl:text>
											</fo:block>
										</fo:inline-container>
										<fo:table table-layout="fixed" width="100%" border-spacing="2pt">
											<fo:table-column column-width="proportional-column-width(1)"/>
											<fo:table-body start-indent="0pt">
												<fo:table-row>
													<fo:table-cell padding="2pt" display-align="center">
														<fo:block/>
													</fo:table-cell>
												</fo:table-row>
												<fo:table-row>
													<fo:table-cell padding="2pt" height="20pt" display-align="center">
														<fo:block>
															<fo:inline font-family="Verdana" font-size="10pt" font-weight="bold">
																<xsl:text>Transaction Details:</xsl:text>
															</fo:inline>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-body>
										</fo:table>
										<fo:inline-container>
											<fo:block>
												<xsl:text>&#x2029;</xsl:text>
											</fo:block>
										</fo:inline-container>
										<fo:table table-layout="fixed" width="100%" border-spacing="2pt">
											<fo:table-column column-width="proportional-column-width(1)"/>
											<fo:table-column column-width="proportional-column-width(1)"/>
											<fo:table-column column-width="proportional-column-width(1)"/>
											<fo:table-column column-width="proportional-column-width(1)"/>
											<fo:table-body start-indent="0pt">
												<fo:table-row font-size="medium" font-weight="bold" width="auto">
													<fo:table-cell font-family="Verdana" font-size="8pt" padding="2pt" display-align="center">
														<fo:block>
															<fo:inline>
																<xsl:text>Award Number</xsl:text>
															</fo:inline>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell font-family="Verdana" font-size="8pt" padding="2pt" display-align="center">
														<fo:block>
															<fo:inline>
																<xsl:text>Transaction Type</xsl:text>
															</fo:inline>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell font-family="Verdana" font-size="8pt" padding="2pt" display-align="center">
														<fo:block>
															<fo:inline>
																<xsl:text>Notice Date</xsl:text>
															</fo:inline>
														</fo:block>
													</fo:table-cell>
													<fo:table-cell font-family="Verdana" font-size="8pt" padding="2pt" display-align="center">
														<fo:block>
															<fo:inline>
																<xsl:text>Comments</xsl:text>
															</fo:inline>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-body>
										</fo:table>
										<fo:inline-container>
											<fo:block>
												<xsl:text>&#x2029;</xsl:text>
											</fo:block>
										</fo:inline-container>
										<fo:table table-layout="fixed" width="100%" border-spacing="2pt">
											<fo:table-column column-width="100%"/>
											<fo:table-body start-indent="0pt">
												<fo:table-row>
													<fo:table-cell font-family="Verdana" font-size="9pt" padding="0" padding-bottom="0" padding-top="0" text-align="left" display-align="before">
														<fo:block>
															<fo:block text-align="center">
																<fo:leader leader-pattern="rule" rule-thickness="1" leader-length="100%" color="black"/>
															</fo:block>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
											</fo:table-body>
										</fo:table>
										<xsl:for-each select="TransactionInfo">
											<fo:inline-container>
												<fo:block>
													<xsl:text>&#x2029;</xsl:text>
												</fo:block>
											</fo:inline-container>
											<fo:table font-family="tim" font-size="9pt" table-layout="fixed" width="100%" border-spacing="2pt">
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-column column-width="proportional-column-width(1)"/>
												<fo:table-body start-indent="0pt">
													<fo:table-row>
														<fo:table-cell padding="2pt" display-align="center">
															<fo:block>
																<xsl:for-each select="AwardNumber">
																	<xsl:variable name="value-of-template">
																		<xsl:apply-templates/>
																	</xsl:variable>
																	<xsl:choose>
																		<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																			<fo:block>
																				<xsl:copy-of select="$value-of-template"/>
																			</fo:block>
																		</xsl:when>
																		<xsl:otherwise>
																			<fo:inline>
																				<xsl:copy-of select="$value-of-template"/>
																			</fo:inline>
																		</xsl:otherwise>
																	</xsl:choose>
																</xsl:for-each>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell padding="2pt" display-align="center">
															<fo:block>
																<xsl:for-each select="TransactionTypeDesc">
																	<xsl:variable name="value-of-template">
																		<xsl:apply-templates/>
																	</xsl:variable>
																	<xsl:choose>
																		<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																			<fo:block>
																				<xsl:copy-of select="$value-of-template"/>
																			</fo:block>
																		</xsl:when>
																		<xsl:otherwise>
																			<fo:inline>
																				<xsl:copy-of select="$value-of-template"/>
																			</fo:inline>
																		</xsl:otherwise>
																	</xsl:choose>
																</xsl:for-each>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell padding="2pt" display-align="center">
															<fo:block>
																<xsl:for-each select="NoticeDate">
																	<fo:inline>
																		<xsl:value-of select="format-number(number(substring(string(string(.)), 6, 2)), '00')"/>
																		<xsl:text>/</xsl:text>
																		<xsl:value-of select="format-number(number(substring(string(string(.)), 9, 2)), '00')"/>
																		<xsl:text>/</xsl:text>
																		<xsl:value-of select="format-number(number(substring(string(string(string(.))), 1, 4)), '0000')"/>
																	</fo:inline>
																</xsl:for-each>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell padding="2pt" display-align="center">
															<fo:block>
																<xsl:for-each select="Comments">
																	<xsl:variable name="value-of-template">
																		<xsl:apply-templates/>
																	</xsl:variable>
																	<xsl:choose>
																		<xsl:when test="contains(string($value-of-template),'&#x2029;')">
																			<fo:block>
																				<xsl:copy-of select="$value-of-template"/>
																			</fo:block>
																		</xsl:when>
																		<xsl:otherwise>
																			<fo:inline>
																				<xsl:copy-of select="$value-of-template"/>
																			</fo:inline>
																		</xsl:otherwise>
																	</xsl:choose>
																</xsl:for-each>
															</fo:block>
														</fo:table-cell>
													</fo:table-row>
												</fo:table-body>
											</fo:table>
											<fo:block/>
											<fo:block/>
										</xsl:for-each>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
					</fo:block>
					<fo:block id="SV_RefID_PageTotal"/>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<xsl:template match="AwardHeader">
		<xsl:variable name="value-of-template">
			<xsl:apply-templates/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="contains(string($value-of-template),'&#x2029;')">
				<fo:block>
					<xsl:copy-of select="$value-of-template"/>
				</fo:block>
			</xsl:when>
			<xsl:otherwise>
				<fo:inline>
					<xsl:copy-of select="$value-of-template"/>
				</fo:inline>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="headerall">
		<fo:static-content flow-name="xsl-region-before">
			<fo:block>
				<xsl:for-each select="$XML">
					<fo:inline-container>
						<fo:block>
							<xsl:text>&#x2029;</xsl:text>
						</fo:block>
					</fo:inline-container>
					<fo:table table-layout="fixed" width="100%" border-spacing="2pt">
						<fo:table-column column-width="20%"/>
						<fo:table-column column-width="80%"/>
						<fo:table-body start-indent="0pt">
							<fo:table-row>
								<fo:table-cell padding="0" padding-bottom="0" padding-top="10pt" number-columns-spanned="2" height="8" display-align="center">
									<fo:block/>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell font-family="Verdana" font-size="9pt" padding-bottom="0" padding="2pt" text-align="left" display-align="before">
									<fo:block>
										<xsl:for-each select="AwardNotice">
											<xsl:for-each select="SchoolInfo">
												<xsl:for-each select="SchoolName">
													<xsl:variable name="value-of-template">
														<xsl:apply-templates/>
													</xsl:variable>
													<xsl:choose>
														<xsl:when test="contains(string($value-of-template),'&#x2029;')">
															<fo:block font-family="Verdana" font-size="13pt" font-weight="bold">
																<xsl:copy-of select="$value-of-template"/>
															</fo:block>
														</xsl:when>
														<xsl:otherwise>
															<fo:inline font-family="Verdana" font-size="13pt" font-weight="bold">
																<xsl:copy-of select="$value-of-template"/>
															</fo:inline>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
										<fo:inline>
											<xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160; </xsl:text>
										</fo:inline>
										<fo:block/>
										<fo:inline font-family="Verdana" font-size="10pt" font-style="italic" font-weight="bold">
											<xsl:text>Budget Modification</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell font-family="Verdana" font-size="9pt" padding-bottom="0" padding-right="30pt" padding="2pt" text-align="right" display-align="before">
									<fo:block>
										<fo:inline font-weight="bold">
											<xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; Transaction Date:</xsl:text>
										</fo:inline>
										<fo:inline>
											<xsl:text>&#160;</xsl:text>
										</fo:inline>
										<xsl:for-each select="AwardNotice">
											<xsl:for-each select="Award">
												<xsl:for-each select="AwardAmountInfo">
													<xsl:for-each select="AmountInfo">
														<xsl:for-each select="TransactionDate">
															<fo:inline>
																<xsl:value-of select="format-number(number(substring(string(string(.)), 6, 2)), '00')"/>
																<xsl:text>/</xsl:text>
																<xsl:value-of select="format-number(number(substring(string(string(.)), 9, 2)), '00')"/>
																<xsl:text>/</xsl:text>
																<xsl:value-of select="format-number(number(substring(string(string(string(.))), 1, 4)), '0000')"/>
															</fo:inline>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</xsl:for-each>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					<fo:inline-container>
						<fo:block>
							<xsl:text>&#x2029;</xsl:text>
						</fo:block>
					</fo:inline-container>
					<fo:table table-layout="fixed" width="100%" border-spacing="2pt">
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-body start-indent="0pt">
							<fo:table-row font-family="Arial" font-size="9pt" font-weight="bold">
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block/>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block/>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block/>
								</fo:table-cell>
								<fo:table-cell number-columns-spanned="2" padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Obligated Amount</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block/>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block/>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block/>
								</fo:table-cell>
								<fo:table-cell number-columns-spanned="3" padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Anticipated Amount</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block/>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block/>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row font-family="Arial" font-size="9pt" font-weight="bold">
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Direct</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Indirect</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>change</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Total</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Distributable</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Direct</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Indirect</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Change</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Total</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Distributble</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Oblg. Eff</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Oblg&#160; Exp</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="2pt" display-align="center">
									<fo:block>
										<fo:inline>
											<xsl:text>Final Exp.</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					<xsl:for-each select="$XML">
						<xsl:for-each select="AwardNotice">
							<xsl:for-each select="Award">
								<xsl:for-each select="AwardAmountInfo">
									<xsl:for-each select="AmountInfo"/>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
					<fo:block text-align="center">
						<fo:leader leader-pattern="rule" rule-thickness="1" leader-length="100%" color="black"/>
					</fo:block>
				</xsl:for-each>
			</fo:block>
		</fo:static-content>
	</xsl:template>
	<xsl:template name="footerall">
		<fo:static-content flow-name="xsl-region-after">
			<fo:block>
				<xsl:for-each select="$XML">
					<fo:inline-container>
						<fo:block>
							<xsl:text>&#x2029;</xsl:text>
						</fo:block>
					</fo:inline-container>
					<fo:table table-layout="fixed" width="100%" border-spacing="2pt">
						<fo:table-column column-width="proportional-column-width(1)"/>
						<fo:table-column column-width="150"/>
						<fo:table-body start-indent="0pt">
							<fo:table-row>
								<fo:table-cell padding="0" number-columns-spanned="2" display-align="center">
									<fo:block/>
								</fo:table-cell>
							</fo:table-row>
							<fo:table-row>
								<fo:table-cell font-family="Verdana" font-size="7pt" padding="0" text-align="left" display-align="before">
									<fo:block>
										<fo:block>
											<fo:leader leader-pattern="space"/>
										</fo:block>
										<fo:inline-container>
											<fo:block>
												<xsl:text>&#x2029;</xsl:text>
											</fo:block>
										</fo:inline-container>
										<fo:block margin="0pt">
											<fo:block>
												<fo:inline>
													<xsl:text>coeus: </xsl:text>
												</fo:inline>
												<xsl:for-each select="AwardNotice">
													<xsl:for-each select="PrintRequirement">
														<xsl:for-each select="CurrentDate">
															<fo:inline>
																<xsl:value-of select="format-number(number(substring(string(string(.)), 6, 2)), '00')"/>
																<xsl:text>/</xsl:text>
																<xsl:value-of select="format-number(number(substring(string(string(.)), 9, 2)), '00')"/>
																<xsl:text>/</xsl:text>
																<xsl:value-of select="format-number(number(substring(string(string(string(.))), 1, 4)), '0000')"/>
															</fo:inline>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
												<fo:inline>
													<xsl:text>&#160;</xsl:text>
												</fo:inline>
											</fo:block>
										</fo:block>
										<fo:inline>
											<xsl:text>Changes noted by underline.</xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell font-family="Verdana" font-size="7pt" padding="0" text-align="right" display-align="before">
									<fo:block>
										<fo:inline>
											<xsl:text>Page </xsl:text>
										</fo:inline>
										<fo:page-number/>
										<fo:inline>
											<xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; </xsl:text>
										</fo:inline>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				</xsl:for-each>
			</fo:block>
		</fo:static-content>
	</xsl:template>
	<xsl:template name="double-backslash">
		<xsl:param name="text"/>
		<xsl:param name="text-length"/>
		<xsl:variable name="text-after-bs" select="substring-after($text, '\')"/>
		<xsl:variable name="text-after-bs-length" select="string-length($text-after-bs)"/>
		<xsl:choose>
			<xsl:when test="$text-after-bs-length = 0">
				<xsl:choose>
					<xsl:when test="substring($text, $text-length) = '\'">
						<xsl:value-of select="concat(substring($text,1,$text-length - 1), '\\')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$text"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="concat(substring($text,1,$text-length - $text-after-bs-length - 1), '\\')"/>
				<xsl:call-template name="double-backslash">
					<xsl:with-param name="text" select="$text-after-bs"/>
					<xsl:with-param name="text-length" select="$text-after-bs-length"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
